summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--autoconf/domains.csv2
-rwxr-xr-xetc/mailsync.sh4
2 files changed, 4 insertions, 2 deletions
diff --git a/autoconf/domains.csv b/autoconf/domains.csv
index ac89878..2c8352e 100644
--- a/autoconf/domains.csv
+++ b/autoconf/domains.csv
@@ -99,6 +99,7 @@ redchan.it,mail.cock.li,993,mail.cock.li,587
runbox.com,mail.runbox.com,993,mail.runbox.com,587
rwth-aachen.de,mail.rwth-aachen.de,993,mail.rwth-aachen.de,587
sapo.pt,imap.sapo.pt,993,smtp.sapo.pt,587
+t-online.de,secureimap.t-online.de,993,securesmtp.t-online.de,465
techie.com,imap.mail.com,995,smtp.mail.com,587
teknik.io,mail.teknik.io,993,mail.teknik.io,587
tfwno.gf,mail.cock.li,993,mail.cock.li,587
@@ -109,6 +110,7 @@ uymail.com,imap.mail.com,995,smtp.mail.com,587
waifu.club,mail.cock.li,993,mail.cock.li,587
wants.dicksinhisan.us,mail.cock.li,993,mail.cock.li,587
wants.dicksinmyan.us,mail.cock.li,993,mail.cock.li,587
+web.de,imap.web.de,993,smtp.web.de,587
writeme.com,imap.mail.com,995,smtp.mail.com,587
ya.ru,imap.yandex.com,993,smtp.yandex.com,465
yahoo.com,imap.mail.yahoo.com,993,smtp.mail.yahoo.com,587
diff --git a/etc/mailsync.sh b/etc/mailsync.sh
index 9f6f3c6..69400f5 100755
--- a/etc/mailsync.sh
+++ b/etc/mailsync.sh
@@ -13,10 +13,10 @@ export DISPLAY=:0.0
# Settings are different for MacOS (Darwin) systems.
if [ "$(uname)" == "Darwin" ]
then
- ping -q -t 1 -c 1 `ip r | grep default | cut -d ' ' -f 3` >/dev/null || exit
+ ping -q -t 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
notify() { osascript -e "display notification \"$2 in $1\" with title \"Youve got Mail\" subtitle \"Account: $account\"" && sleep 2 ;}
else
- ping -q -w 1 -c 1 `ip r | grep default | cut -d ' ' -f 3` >/dev/null || exit
+ ping -q -w 1 -c 1 `ip r | grep -m 1 default | cut -d ' ' -f 3` >/dev/null || exit
notify() { pgrep -x dunst && notify-send -i ~/.config/mutt/etc/email.gif "$2 new mail(s) in \`$1\` account." ;}
fi